%define real_name Convert-ASN1
%define name perl-%{real_name}
%define version 0.21
%define release %mkrel 2

Summary: 	ASN.1 Encode/Decode library for perl
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://www.cpan.org/authors/id/GBARR/%{real_name}-%{version}.tar.bz2
URL: 		http://search.cpan.org/dist/%{real_name}/
BuildRequires:	perl-devel
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Requires:	perl

%description
Perl module used to encode and decode ASN.1 data structures using
BER/DER rules.

Needed by webmin to handle the OpenLDAP modules properly.

%prep

%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README examples/*
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.21-2mdv2009.0
+ Revision: 223576
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.21-1mdv2008.1
+ Revision: 136693
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.21-1mdv2008.0
+ Revision: 19816
- 0.21


* Mon Feb 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- 0.20

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-2mdk
- rebuild for new Perl

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.18-1mdk
- 0.18

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.16-4mdk
- rebuild for new perl
- don't use PREFIX
- rm -rf $RPM_BUILD_ROOT in %%install, not %%build
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-3mdk
- rebuild for auto{req,prov}

